Package org.apache.ignite.spi.failover.jobstealing

## Interface JobStealingFailoverSpiMBean

- All Superinterfaces:
    `IgniteSpiManagementMBean`

      @MXBeanDescription("MBean that provides access to job stealing failover SPI configuration.")
      public interface JobStealingFailoverSpiMBean
      extends IgniteSpiManagementMBean

  Management bean for `JobStealingFailoverSpi`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getMaximumFailoverAttempts()` | Gets maximum number of attempts to execute a failed job on another node.
    `int` | `getTotalFailedOverJobsCount()` | Get total number of jobs that were failed over including stolen ones.
    `int` | `getTotalStolenJobsCount()` | Get total number of jobs that were stolen.

    - ### Methods inherited from interface org.apache.ignite.spi.IgniteSpiManagementMBean

      `getIgniteHome, getLocalNodeId, getName, getStartTimestamp, getStartTimestampFormatted, getUpTime, getUpTimeFormatted`

- - ### Method Detail

    - #### getMaximumFailoverAttempts

          @MXBeanDescription("Maximum number of attempts to execute a failed job on another node.")
          int getMaximumFailoverAttempts()

      Gets maximum number of attempts to execute a failed job on another node. If job gets stolen and thief node exists then it is not considered as failed job. If not specified, `JobStealingFailoverSpi.DFLT_MAX_FAILOVER_ATTEMPTS` value will be used.
      Returns:
        Maximum number of attempts to execute a failed job on another node.

    - #### getTotalFailedOverJobsCount

          @MXBeanDescription("Total number of jobs that were failed over including stolen ones.")
          int getTotalFailedOverJobsCount()

      Get total number of jobs that were failed over including stolen ones.
      Returns:
        Total number of failed over jobs.

    - #### getTotalStolenJobsCount

          @MXBeanDescription("Total number of jobs that were stolen.")
          int getTotalStolenJobsCount()

      Get total number of jobs that were stolen.
      Returns:
        Total number of stolen jobs.